%define name    serd
%define version 0.30.16
%define release 30.1

Name: serd
Version: 0.30.16
Release: 30.1.rncbc.suse
Summary:	Lightweight RDF syntax library
Source:		http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/
License:	ISC
Group:		System/Libraries

BuildRequires:	coreutils
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	ninja-build
%else
BuildRequires:	pkg-config
BuildRequires:	ninja
%endif
BuildRequires:	meson
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++
BuildRequires:	python python3 python3-rdflib

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

#-----------------------------------
%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

%if %{defined fedora}
%define debug_package %{nil}
%endif

#-----------------------------------
%package -n %{name}i

Summary:	Lightweight RDF syntax utilities
Group:		Productivity/Text/Editors
Requires:	%{_lib_name} >= %{version}

%description -n %{name}i
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{name}i
%defattr(-,root,root,-)
%doc %{_mandir}/man1/serdi.*
%{_bindir}/serdi

#-----------------------------------
%package -n %{_lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries

%description -n %{_lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{_lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary:	Lightweight RDF syntax library - development files
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against serd.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------

%prep
%setup -q

%build
meson --prefix=%{_prefix} build

%install
DESTDIR=%{buildroot} \
meson install -C build

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{_lib_name}
/sbin/ldconfig

%postun -n %{_lib_name}
/sbin/ldconfig

#-----------------------------------
%changelog

* Fri Sep  9 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.16
- New upstream release.
* Sat Jul 16 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.14
- New upstream release.
* Fri May 27 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.12
- New upstream release.
* Mon Jan 25 2021 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.10
- New upstream release.
* Thu Jan  7 2021 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.8
- New upstream release.
* Sun Sep 27 2020 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.6
- New upstream release.
* Sun Aug 16 2020 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.4
- New upstream release.
* Thu Oct 24 2019 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.2
- New upstream release.
* Sun Jul 22 2018 Rui Nuno Capela <rncbc@rncbc.org> - 0.30.0
- New upstream release.
* Fri Jul 21 2017 Rui Nuno Capela <rncbc@rncbc.org> - 0.28.0
- New upstream release.
* Wed Jan 11 2017 Rui Nuno Capela <rncbc@rncbc.org> - 0.26.0
- New upstream release.
* Mon Sep 19 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.24.0
- New upstream release.
* Thu Oct 08 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.22.0
- New upstream release.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.20.0
- OBS snapshot update.
